Name:           python-dtrack-auditor
Version:        1.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Improved client for OWASP DependencyTrack usage in CI CD.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/thinksabin/DTrackAuditor
Source:         %{pypi_source dtrack_auditor}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dtrack-auditor' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dtrack-auditor
Summary:        %{summary}

%description -n python3-dtrack-auditor %_description


%prep
%autosetup -p1 -n dtrack_auditor-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dtrack-auditor -f %{pyproject_files}


%changelog
%autochangelog